VkImageViewCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkImageViewCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkImageViewCreateFlags | flags
VkImage | image
VkImageViewType | viewType
VkFormat | format
VkComponentMapping | components
VkImageSubresourceRange | subresourceRange

## Detailed Description

Definition at line 1892 of file vulkan.h.

## Field Documentation

## components

VkComponentMapping VkImageViewCreateInfo::components

Definition at line 1899 of file vulkan.h.

## flags

VkImageViewCreateFlags VkImageViewCreateInfo::flags

Definition at line 1895 of file vulkan.h.

## format

VkFormat VkImageViewCreateInfo::format

Definition at line 1898 of file vulkan.h.

## image

VkImage VkImageViewCreateInfo::image

Definition at line 1896 of file vulkan.h.

## pNext

const void* VkImageViewCreateInfo::pNext

Definition at line 1894 of file vulkan.h.

## sType

VkStructureType VkImageViewCreateInfo::sType

Definition at line 1893 of file vulkan.h.

## subresourceRange

VkImageSubresourceRange VkImageViewCreateInfo::subresourceRange

Definition at line 1900 of file vulkan.h.

## viewType

VkImageViewType VkImageViewCreateInfo::viewType

Definition at line 1897 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h